sm=external('peaks',2,1)
sm=add_dynamics(sm,0,[1 1],[0 0]);
[x, y, z] = peaks; 
d=dataset([x(:) y(:) z(:)]);
sm=add_data(sm,d);
sm_mapping=taksug('fmclust mapping',2,1)
sm=add_mapping(sm,sm_mapping);
set(sm,'links',[1 1]);
sm=identify(sm,1,struct('method','fmclust','n_rules',10));
sm=clone_output(sm,1,'cluslms mapping');
sm=identify(sm,1,struct('method','cluslms','n_rules',10));
sm=clone_output(sm,1,'cluslev mapping')
sm=identify(sm,1,struct('method','cluslev','n_rules',10,'tolerance',0.1));
sm=clone_output(sm,1,'randlm mapping')
sm=identify(sm,1,struct('method','randlm','n_rules',10));
sm=clone_output(sm,1,'tsgklmsxv mapping')
sm=identify(sm,1,struct('method','tsgklmsxv','min_n_rules',4,'max_n_rules',30));
plot(sm);
